Copyright: Copyright © 1994 Global Majic Software, Inc.
Citation: Copyright © 1994 Global Majic Software, Inc.


Contents

Global Majic Software, Inc.

Instrument Custom Control Library

Car Gauges Control

Properties	Events	Product Support	Copyright

Description:

Car Gauge Instrument Controls display a variety of automobile instruments including tachometer, speedometer, fuel level, oil pressure,amp gauge,  and water temperature.  The controls can be used as input controls when MouseControl is set to True.  The controls include bevels for a 3D appearance.


OilPressureShowDanger
OilPressureShowDanger Property

Description

Determines if the OilPressureDanger level is displayed on the oil pressure gauge.

Usage

[form.]control.OilPressureShowDanger[ = {TRUE|FALSE} ]

Setting

The OilPressureShowDanger property settings are:

Setting 	Description

True	A red annular is used to display the OilPressureDanger level.

False	No danger level is displayed.

Data Type

Integer (Boolean).


Product Support

Product support for Instrument Custom Control Library is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


Events
Events:

Change

Click

GotFocus

LostFocus

MouseMove

Turn


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.]control.BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelInner, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


WaterTempMax
WaterTempMax Property

Description

Determines the maximum value displayed by the water temperature gauge.

Usage

[form.]control.WaterTempMax[ = single ]

Data Type

Single.


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


WaterTempDelta
WaterTempDelta Property

Description

Determines the interval value between major (labelled) tic marks displayed on the water temperature gauge.

Usage

[form.]control.WaterTempDelta[ = single ]

Data Type

Single.


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


WaterTempDanger
WaterTempDanger Property

Description

Determines the danger water temperature level which is indicated by a red annular region on the water temperature gauge.  This property has typical values between WaterTempMin and WaterTempMax and only applies when WaterTempShowDanger is TRUE.

Usage

[form.]control.WaterTempDanger[ = single ]

Data Type

Single.


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


MouseControl
MouseControl Property

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Allows the control's Value to be modified with mouse input.

False	Disables mouse input to the control.

Data Type

Integer (Boolean)


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


OilPressureDanger
OilPressureDanger Property

Description

Determines the danger oil pressure level which is indicated by a red annular region on the oil pressure gauge.  This property has typical values between 0.0 and OilPressureMax and only applies when OilPressureShowDanger is TRUE.

Usage

[form.]control.OilPressureDanger[ = single ]

Data Type

Single.


OilPressureDelta
OilPressureDelta Property

Description

Determines the interval value between major (labelled) tic marks displayed on the oil pressure gauge.

Usage

[form.]control.OilPreessureDelta[ = single ]

Data Type

Single.


FrameStyle
FrameStyle Property

Description

Determines the style of the frame surrounding the gauge face.

Usage

[form.]control.FrameStyle[ = integer ]

Setting

The FrameStyle property settings are:

Setting 	Description

0 (none)	No frame is displayed.

1 (Circle)	A circular frame is displayed using FrameScaleX as the internal radius.

2 (Rectangle)	A rectangular frame is displayed using FrameScaleX and FrameScaleY properties to size the interior of the frame

Related Properties

FrameColor, FramePicture, FrameScaleX, and FramScaleY.

Data Type

Integer (Enumerated).


HubScale
HubScale Property

Description

Determines the radius of the needle hub.  This property typically has a value between 0.0 and 1.0.

Usage

[form.]control.HubScale[ = single ]

Data Type

Single.


HubColor

Description

Determines the color used for the needle hub.

Usage

[form.]control.HubColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


FuelDelta
FuelDelta Property

Description

Determines the interval value between major tic marks displayed on the fuel gauge.

Usage

[form.]control.FuelDelta[ = single ]

Data Type

Single.


FrameScaleY
FrameScaleY Property

Description

Determines the vertical size of the opening inside the frame surrounding the gauge.  For a circular FrameStyle, this property does not apply.  This property typically has a value between 0.0 and 1.0.

Usage

[form.]control.FrameScaleY[ = single ]

Related Properties

FrameColor, FramePicture, FrameScaleX, and FrameStyle.

Data Type

Single.


OilPressureMax
OilPressureMax Property

Description

Determines the maximum value displayed by the oil pressure gauge.

Usage

[form.]control.OilPressureMax[ = single ]

Data Type

Single.


AmpMin
AmpMin Property

Description

Determines the minimum value displayed by the amp gauge.

Usage

[form.]control.AmpMin[ = single ]

Data Type

Single.


SpeedDelta
SpeedDelta Property

Description

Determines the interval value between major (labelled) tic marks displayed on the speedometer gauge.

Usage

[form.]control.SpeedDelta[ = single ]

Data Type

Single.


WaterTempShowDanger
WaterTempShowDanger Property

Description

Determines if the WaterTempDanger level is displayed on the water temperature gauge.

Usage

[form.]control.WaterTempShowDanger[ = {TRUE|FALSE} ]

Setting

The WaterTempShowDanger property settings are:

Setting 	Description

True	A red annular is used to display the WaterTempDanger level.

False	No danger level is displayed.

Data Type

Integer (Boolean).


WaterTempMin
WaterTempMin Property

Description

Determines the minimum value displayed by the water temperature gauge.

Usage

[form.]control.WaterTempMin[ = single ]

Data Type

Single.


SpeedShowDanger
SpeedShowDanger Property

Description

Determines if the SpeedDanger level is displayed on the speedometer gauge.

Usage

[form.]control.SpeedShowDanger[ = {TRUE|FALSE} ]

Setting

The SpeedShowDanger property settings are:

Setting 	Description

True	A red annular is used to display the SpeedDanger level.

False	No danger level is displayed.

Data Type

Integer (Boolean).


TicColor

Description

Determines the color used for the tics and tic labels.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


SpeedMax
SpeedMax Property

Description

Determines the maximum value displayed by the speedometer gauge.

Usage

[form.]control.SpeedMax[ = single ]

Data Type

Single.


FrameColor
FrameColor Property

Description

Determines the frame color surrounding the gauge face.

Usage

[form.]control.FrameColor[ = color ]

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using the RGB or QBColor functions.

Related Properties

FramePicture, FrameScaleX, FramScaleY, and FrameStyle.

Data Type

Long.


AmpDelta
AmpDelta Property

Description

Determines the interval value between major (labelled) tic marks displayed on the amp gauge.

Usage

[form.]control.AmpDelta[ = single ]

Data Type

Single.


NeedleColor

Description

Determines the color used for the needle.

Usage

[form.]control.NeedleColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


FramePicture
FramePicture Property

Description

Determines the graphic to be displayed in the frame surrounding the gauge face.

Usage

[form.]control.FramePicture[ = picture ]

Setting

The FramePicture property settings are:

Setting 	Description

(none)	No picture is displayed and the FrameColor is displayed in the background.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Remarks

This property only applies when FrameStyle is set.

Related Properties

FrameColor, FrameScaleX, FramScaleY, and FrameStyle.

Data Type

Integer.


FuelShowDanger
FuelShowDanger Property

Description

Determines if the FuelDanger level is displayed on the fuel gauge.

Usage

[form.]control.FuelShowDanger[ = {TRUE|FALSE} ]

Setting

The FuelShowDanger property settings are:

Setting 	Description

True	A red annular is used to display the FuelDanger level.

False	No danger level is displayed.

Data Type

Integer (Boolean).


CaptionColor
CaptionColor Property

Description

Determines the color used to display captions.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


Car Properties
Properties:

AmpDelta	GaugeType	RPMShowWarning
AmpMax	Height	RPMWarning
AmpMin	HubColor	SpeedDanger
BackgroundColor	HubScale	SpeedDelta
BackgroundPicture	HWND	SpeedMax
BevelInner	Index	SpeedShowDanger
BevelOuter	Left	TabIndex
BevelWidth	MouseControl	TabStop
BorderWidth	MousePointer	Tag
CaptionColor	Name	TicColor
Enabled	NeedleColor	Top
FrameColor	OilPressureDanger	Value
FramePicture	OilPressureDelta	Visible
FrameScaleX	OilPressureMax	WaterTempDanger
FrameScaleY	OilPressureShowDanger	WaterTempDelta
FrameStyle	RPMDanger	WaterTempMax
FuelDanger	RPMDelta	WaterTempMin
FuelDelta	RPMMax	WaterTempShowDanger
FuelShowDanger	RPMShowDanger	Width


FuelDanger
FuelDanger Property

Description

Determines the danger fuel level which is indicated by a red annular region on the fuel gauge.  This property has typical values between 0.0 and 1.0 and only applies when FuelShowDanger is TRUE.

Usage

[form.]control.FuelDanger[ = single ]

Data Type

Single.


BackgroundColor
BackgroundColor Property

Description

Determines the background color of the gauge.

Usage

[form.]control.BackgroundColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


AmpMax
AmpMax Property

Description

Determines the maximum value displayed by the amp gauge.

Usage

[form.]control.AmpMax[ = single ]

Data Type

Single.


BackgroundPicture
BackgroundPicture Property

Description

Determines the graphic to be displayed in the background of the gauge.

Usage

[form.]control.BackgroundPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting 	Description

(none)	No picture is displayed and the BackgroundColor is displayed in the background.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Data Type

Integer.


FrameScaleX
FrameScaleX Property

Description

Determines the horizontal size of the opening inside the frame surrounding the gauge.  For a circular FrameStyle, this property is used to define the radius of the opening inside the frame surrounding the gauge.  This property typically has a value between 0.0 and 1.0.

Usage

[form.]control.FrameScaleX[ = single ]

Related Properties

FrameColor, FramePicture, FramScaleY, and FrameStyle.

Data Type

Single.


GaugeType
GaugeType Property

Description

Selects the type of gauge displayed by the control.

Usage

[form.]control.GaugeType[ = integer ]

Setting

The GaugeType property settings are:

Setting 	Description

0	Tachometer

1	Speedometer

2	Fuel

3	Oil Pressure

4	Amps

5	Water Temperature

Data Type

Integer (Enumerated)


RPMMax
RPMMax Property

Description

Determines the maximum value displayed by the tachometer gauge.  Keep in mind that the tachometer displays RPMs in thousands of RPMs (ie. for a maximum RPM of 10,000, RPMMax should be 10.).

Usage

[form.]control.RPMMax[ = single ]

Data Type

Single.


RPMDanger
RPMDanger Property

Description

Determines the danger RPM level which is indicated by a red annular region on the tachometer gauge.  This property has typical values between 0.0 and RPMMax and only applies when RPMShowDanger is TRUE.

Usage

[form.]control.RPMDanger[ = single ]

Data Type

Single.


RPMWarning
RPMWarning Property

Description

Determines the warning RPM level which is indicated by a yellow annular region on the tachometer gauge.  This property has typical values between 0.0 and RPMMax and only applies when RPMShowWarning is TRUE.

Usage

[form.]control.RPMWarning[ = single ]

Data Type

Single.


RPMShowWarning
RPMShowWarning Property

Description

Determines if the RPMWarning level is displayed on the tachometer gauge.

Usage

[form.]control.RPMShowWarning[ = {TRUE|FALSE} ]

Setting

The RPMShowWarning property settings are:

Setting 	Description

True	A yellow annular is used to display the RPMWarning level.

False	No danger level is displayed.

Data Type

Integer (Boolean).


RPMShowDanger
RPMShowDanger Property

Description

Determines if the RPMDanger level is displayed on the tachometer gauge.

Usage

[form.]control.RPMShowDanger[ = {TRUE|FALSE} ]

Setting

The RPMShowDanger property settings are:

Setting 	Description

True	A red annular is used to display the RPMDanger level.

False	No danger level is displayed.

Data Type

Integer (Boolean).


Value
Value Property

Description

Contains the current value of the gauge.

Usage

[form.][control.]Value[ = Single ]

Data Type

Single


SpeedDanger
SpeedDanger Property

Description

Determines the danger speed level which is indicated by a red annular region on the speedometer gauge.  This property has typical values between 0.0 and SpeedMax and only applies when SpeedShowDanger is TRUE.

Usage

[form.]control.SpeedDanger[ = single ]

Data Type

Single.


RPMDelta
RPMDelta Property

Description

Determines the interval value between major (labelled) tic marks displayed on the tachometer gauge.

Usage

[form.]control.RPMDelta[ = single ]

Data Type

Single.